Package org.apache.tapestry5.internal.services

# Class SelectModelFactoryImpl

java.lang.Object
org.apache.tapestry5.internal.services.SelectModelFactoryImpl

All Implemented Interfaces:
  `SelectModelFactory`

public class SelectModelFactoryImpl extends Object implements SelectModelFactory

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectModelFactoryImpl(PropertyAccess propertyAccess, ValueEncoderSource valueEncoderSource, ValueLabelProvider<Object> valueLabelProvider)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SelectModel`
  `create(List<?> objects)`
  Creates a `SelectModel` from a list of objects of the same type.
  `SelectModel`
  `create(List<?> objects, String labelProperty)`
  Creates a `SelectModel` from a list of objects of the same type and a label property name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SelectModelFactoryImpl

    public SelectModelFactoryImpl(PropertyAccess propertyAccess, ValueEncoderSource valueEncoderSource, ValueLabelProvider<Object> valueLabelProvider)

- ## Method Details

  - ### create

    public SelectModel create(List<?> objects, String labelProperty)
    Description copied from interface: `SelectModelFactory`
    Creates a `SelectModel` from a list of objects of the same type and a label property name. The returned model creates for every object in the list a selectable option and relies on existing `ValueEncoder` for the object type. The value of the label property is used as user-presentable label for the option.
    Specified by:
      `create` in interface `SelectModelFactory`
    Parameters:
      `objects` - objects to create model from
      `labelProperty` - property for the client-side value
    Returns:
      the model

  - ### create

    public SelectModel create(List<?> objects)
    Description copied from interface: `SelectModelFactory`
    Creates a `SelectModel` from a list of objects of the same type. The returned model creates for every object in the list a selectable option and relies on existing `ValueEncoder` for the object type.
    Specified by:
      `create` in interface `SelectModelFactory`
    Parameters:
      `objects` - objects to create model from
    Returns:
      the model